View Issue Details

IDProjectCategoryView StatusLast Update
0016434ScribusUser Interfacepublic2021-01-18 08:02
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016434: Update minimum width for Measurements dialog
DescriptionI propose in this patch to enlarge measurements dialog's width to fit "10000.0000 mm" in its labels.

This ticket is asked by @PeterBenedek in 0016420:0048689

Benedek, if I'm not wrong the width of these labels are calculated dynamically to fit text "10000.0000". The bug was that the unit of measure was missing from this calculation. See the diff, please.
TagsNo tags attached.
PatchNo

Activities

bubu

2021-01-17 12:40

reporter  

0001-Update-minimum-width-for-Measurement-dialog.patch (958 bytes)
From 7b24120be7779616f190e9598a4765cea633b6d3 Mon Sep 17 00:00:00 2001
Message-Id: <7b24120be7779616f190e9598a4765cea633b6d3.1610886456.git.bubu@ujevangelizacio.hu>
From: =?UTF-8?q?Gyuris=20Gell=C3=A9rt?= <bubu@ujevangelizacio.hu>
Date: Sun, 17 Jan 2021 13:27:22 +0100
Subject: [PATCH] Update minimum width for Measurement dialog

---
 scribus/ui/measurements.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scribus/ui/measurements.cpp b/scribus/ui/measurements.cpp
index 641d09e1e..539bba3c9 100644
--- a/scribus/ui/measurements.cpp
+++ b/scribus/ui/measurements.cpp
@@ -23,7 +23,7 @@ Measurements::Measurements( QWidget* parent ) : ScrPaletteBase(parent, "Measurem
 {
 	setupUi(this);
 
-	const QString widthString="10000.0000";
+	const QString widthString="10000.0000 mm";
 	int textWidth = fontMetrics().horizontalAdvance(widthString);
 	x1Data->setMinimumSize(textWidth, 12);
 	y1Data->setMinimumSize(textWidth, 12);
-- 
2.27.0

measuremnts_minwidth.png (36,184 bytes)
measuremnts_minwidth.png (36,184 bytes)

jghali

2021-01-17 20:45

administrator   ~0048704

Applied, thanks!

PeterBenedek

2021-01-18 08:02

developer   ~0048708

Thanks bubu. Work perfectly now.

Issue History

Date Modified Username Field Change
2021-01-17 12:40 bubu New Issue
2021-01-17 12:40 bubu File Added: 0001-Update-minimum-width-for-Measurement-dialog.patch
2021-01-17 12:40 bubu File Added: measuremnts_minwidth.png
2021-01-17 20:45 jghali Assigned To => jghali
2021-01-17 20:45 jghali Status new => resolved
2021-01-17 20:45 jghali Resolution open => fixed
2021-01-17 20:45 jghali Fixed in Version => 1.5.7.svn
2021-01-17 20:45 jghali Note Added: 0048704
2021-01-18 08:02 PeterBenedek Note Added: 0048708